API ReferenceProduct Variants
Release a booking hold
Release a previously created booking hold.
Release a booking hold when the customer changes appointment time, switches variants, or leaves checkout before completing payment.
DELETE
header
AuthorizationBearer <API Key>Provide your SellApp API key as a bearer token.
product*integerThe product path parameter.
hold*stringThe hold path parameter.
X-STORE?stringStore slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
application/json- body
customer_key?string|nullSuccessful response.
application/json- response
ok*booleancurl -X DELETE 'https://sell.app/api/v2/products/0/variants/booking/holds/string' \ -H 'X-STORE: launch-lab' \ -H 'Content-Type: application/json' \ -d '{ "customer_key": "visitor-session-123"}'{ "ok": true}